#include "partition.h"
#include<iostream>
#include<vector>
#include <map>
using namespace std;
int long long sum,n,b[2001000],s,s1,t1,s2,s3;
vector<int> solve(vector<int> A)
{
    t1++;
    vector<int>sol;
    n=0;
    sol.clear();
    while (A.size()) n++,A.pop_back();

    for (int i=1; i<n/2; i++)
    sol.push_back(i-1);
    sol.push_back(n-1);
    for (int i=n/2; i<n; i++)
    sol.push_back(i-1);

    return sol;
}
/*
int main () {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int t;
    cin >> t ;
    for (int test=1; test<=t; test++) {
        int n;
        cin >> n ;
        vector <int> a(n);
        for (int i=0; i<n; i++) {
            cin >> a[i] ;
        }

        for (auto ind : solve(a)) {
            cout << ind << " ";
        }
        cout << endl ;
    }
    cout << endl ;
    return 0;
}
*/
